Name: libalsa2
Version: 0.9.0rc7
Release: alt1
%define srcname alsa-lib

Summary: Advanced Linux Sound Architecture (ALSA) library
Group: System/Libraries
License: GPL
Url: http://www.alsa-project.org/

Source: ftp://ftp.alsa-project.org/pub/lib/%srcname-%version.tar.bz2

Provides: %srcname = %version
Obsoletes: %srcname
BuildPreReq: alsa-driver-headers >= %version

Prefix: %prefix

%package -n aserver
Summary: Sound server for alsa
Group: Sound
Requires: %name = %version-%release
License: GPL

%package devel
Summary: Development environment for Advanced Linux Sound Architecture (ALSA)
Group: Development/C
License: GPL
Requires: %name = %version-%release
Provides: %srcname-devel = %version
Obsoletes: %srcname-devel
Conflicts: libalsa-devel

%package devel-static
Summary: Static libraries for Advanced Linux Sound Architecture (ALSA)
Group: Development/C
License: GPL
Requires: %name-devel = %version-%release
Conflicts: libalsa-devel-static

%description -n aserver
Sound server for alsa

%description
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%description devel
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This is the development environment to compile ALSA applications.

%description devel-static
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This package contains static library to build statically linked ALSA applications.

%prep
%setup -q -n %srcname-%version

%build
%configure --enable-static
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_libdir,%_includedir/sys}
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%dir %_datadir/alsa/
%_datadir/alsa/*

%files devel
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/alsa.pc
%_includedir/sys/*
%dir %_includedir/alsa
%_includedir/alsa/*
%_datadir/aclocal/*

%files devel-static
%_libdir/*.a

%files -n aserver
%_bindir/aserver

%changelog
* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt1
- 0.9.0rc7

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- REbuilt in new environment

* Mon Jun 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt2
- Removed requires to virtual kernel alsa

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10a-alt1
- 0.9.0beta10a

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8a-alt1
- 0.9.0beta8a
- Fixed requires
- Fixed filelists

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
